# PreferredInputType enum

Enum containing all the possible keyboard types required to fill in a value of a PaymentProductField.

Inheritance
  - Object
  - Enum
  - PreferredInputType

## Constructors

PreferredInputType()
  const

## Values

integerKeyboard → const PreferredInputType
stringKeyboard → const PreferredInputType
phoneNumberKeyboard → const PreferredInputType
emailAddressKeyboard → const PreferredInputType
datePicker → const PreferredInputType

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<PreferredInputType>
  A constant List of the values in this enum, in order of their declaration.
  `[integerKeyboard, stringKeyboard, phoneNumberKeyboard, emailAddressKeyboard, datePicker]`